%define 	name		cloog-ppl
%define		version		0.15.7
%define		release		%mkrel 2
%define		major		0
%define		libname		%mklibname cloog %major
%define		libnamedev	%mklibname -d cloog

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        The Chunky Loop Generator

Group:          System/Libraries
License:        GPLv2+
URL:            http://www.cloog.org
Source0:        %{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  ppl-devel >= 0.10, gmp-devel >= 4.1.3, texinfo >= 4.12
Requires(post): info-install
Requires(preun): info-install

%description
CLooG is a software which generates loops for scanning Z-polyhedra. That is,
CLooG finds the code or pseudo-code where each integral point of one or more
parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
designed to avoid control overhead and to produce a very efficient code.

%package -n %libname
Summary: Parma Polyhedra Library backend (ppl) based version of the Cloog binaries
Group: Development/C
#cloog was originally imported to the repositories with a wrong '1' major, 
#this Obsoletes is here to make sure this badly named package is upgraded 
#smoothly
Obsoletes: %{mklibname cloog 1} < 0.15.7
%description -n %libname
The dynamic shared libraries of the Chunky Loop Generator

%package -n %libnamedev
Summary:        Development tools for the ppl based version of Chunky Loop Generator
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       ppl-devel >= 0.10, gmp-devel >= 4.1.3
Provides: 	%name-devel = %version-%release
%description -n %libnamedev
The header files and dynamic shared libraries of the Chunky Loop Generator.

%prep
%setup -q -n cloog-ppl-%{version}

%build
%configure2_5x --with-ppl
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900 
%post -n %libname -p /sbin/ldconfig 
%endif 
%if %mdkversion < 200900 
%postun -n %libname -p /sbin/ldconfig 
%endif 

%files 
%defattr(-,root,root,-)
%{_infodir}/cloog.info*
%{_bindir}/cloog

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libcloog.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root,-)
%{_includedir}/cloog
%{_libdir}/libcloog.so
%exclude %{_libdir}/libcloog.a
%exclude %{_libdir}/libcloog.la

%post -n %libname
%_install_info %{name}.info

%preun -n %libname
%_remove_install_info %{name}.info


%changelog
* Tue Aug 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.15.7-2mdv2010.0
+ Revision: 417805
- clean up librarification (don't put executable and info files in the library package)
- make sure the (badly named) libcloog1 package gets nicely upgraded by this one(otherwise we get file conflicts on libcloog.so.0.0.0)

* Thu Aug 13 2009 Emmanuel Andry <eandry@mandriva.org> 0.15.7-1mdv2010.0
+ Revision: 416105
- New version 0.15.7
- check major
- fix wrong major

* Wed May 20 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.15.3-1mdv2010.0
+ Revision: 377969
- Fix "Group"
- import cloog-ppl


* Thu Apr 09 2009 Dodji Seketeli <dodji@redhat.com> - 0.15-0.8.git1334c
- Update to new upstream git snapshot
- Drop the cloog.info patch as now upstreamed
- No need to add an argument to the --with-ppl
  configure switch anymore as new upstream fixed this

* Wed Apr 08 2009 Dodji Seketeli <dodji@redhat.org> - 0.15-0.7.gitad322
- Add BuildRequire texinfo needed to regenerate the cloog.info doc

* Wed Apr 08 2009 Dodji Seketeli <dodji@redhat.org> - 0.15-0.6.gitad322
- Remove the cloog.info that is in the tarball
  That forces the regeneration of a new cloog.info with
  suitable INFO_DIR_SECTION, so that install-info doesn't cry
  at install time.
- Slightly changed the patch to make install-info actually
  install the cloog information in the info directory file.
- Run install-info --delete in %%preun, not in %%postun,
  otherwise the info file is long gone with we try to
  run install-info --delete on it.

* Mon Apr 06 2009 Dodji Seketeli <dodji@redhat.org> - 0.15-0.5.gitad322
- Added patch to fix #492794
- Need to add an argument to the --with-ppl switch now.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-0.4.gitad322
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Dodji Seketeli <dodji@redhat.org> 0.15-0.3.gitad322
- Updated to upstream git hash foo
- Generate cloog-ppl and cloog-ppl-devel packages instead of cloog and
  cloog-devel.

* Mon Dec 01 2008 Dodji Seketeli <dodji@redhat.com> 0.15-0.2.git57a0bc
- Updated to upstream git hash 57a0bcd97c08f44a983385ca0389eb624e66e3c7
- Remove the -fomit-frame-pointer compile flag

* Wed Sep 24 2008 Dodji Seketeli <dodji@redhat.com> 0.15-0.1.git95753
- Initial version from git hash 95753d83797fa9a389c0c07f7cf545e90d7867d7

